API ReferenceRegistry APISkills
List skill manifests
AuthorizationBearer <token>
In: header
Scope: agp.registry.read, agp.registry.write
Query Parameters
publisher?string
attestation_level?string
risk_class?string
limit?integer
cursor?string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/agp/skills"{ "items": [ { "type": "SkillManifest", "skill_id": "string", "name": "string", "version": "string", "publisher": "string", "supported_protocols": [ "AGP" ], "skill_class": "protocol_adapter", "risk_class": "low", "instruction_hash": "string", "required_tools": [ "string" ], "required_approvals": [ "string" ], "attestation_level": "unverified", "created_at": "2019-08-24T14:15:22Z", "signature": { "alg": "string", "kid": "string", "issuer": "string", "issued_at": "2019-08-24T14:15:22Z", "payload_hash": "string", "value": "string" } } ], "page": { "next_cursor": "string", "has_more": true }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}